/*
POWER SHIELD Presentation is a simple program that will allow you to see how the POWER SHIELD extension for the MICROMIS BASE V1 board works.

The program will turn on each output in turn and then turn them off in turn.

In order for the board to power external components remember to connect the power supply to the DC connector, be careful when using the relay connectors if you are using them to control high voltage.

MADE BY DEVICEPROTOTYPE
*/

#define relay1 23
#define relay2 19
#define power_output1 18
#define power_output2 12

void setup() {
  Serial.begin(115200);
  Serial.println("----------- MICROMIS POWER SHIELD start! -----------");
  pinMode(relay1,OUTPUT);
  pinMode(relay2,OUTPUT);
  pinMode(power_output1,OUTPUT);
  pinMode(power_output2,OUTPUT);
}

void loop() {
  Serial.println("RELAY 1 - ON");
  digitalWrite(relay1,HIGH);
  delay(2000);
  digitalWrite(relay1,LOW);  
  Serial.println("RELAY 1 - OFF");
  delay(1000);
  Serial.println("RELAY 2 - ON");
  digitalWrite(relay2,HIGH);
  delay(2000);
  digitalWrite(relay2,LOW);  
  Serial.println("RELAY 2 - OFF");
  delay(1000);
  Serial.println("POWER OUTPUT 1 - ON");
  digitalWrite(power_output1,HIGH);
  delay(2000);
  digitalWrite(power_output1,LOW);  
  Serial.println("POWER OUTPUT 1 - OFF");
  delay(1000);
  Serial.println("POWER OUTPUT 2 - ON");
  digitalWrite(power_output2,HIGH);
  delay(2000);
  digitalWrite(power_output2,LOW);  
  Serial.println("POWER OUTPUT 2 - OFF");
  delay(1000);
}